- [HTTP request](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/responsePolicies/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/responsePolicies/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/responsePolicies/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/responsePolicies/list#body.request_body)
- [Response body](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/responsePolicies/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/responsePolicies/list#body.ResponsePoliciesListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/responsePolicies/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/responsePolicies/list#body.aspect_1)
- [Examples](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/responsePolicies/list#examples)
- [Try it!](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/responsePolicies/list#try-it)

Enumerates all Response Policies associated with a project.

### HTTP request

`GET https://dns.googleapis.com/dns/v1beta2/projects/{project}/responsePolicies`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Identifies the project addressed by this request. |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer` Optional. Maximum number of results to be returned. If unspecified, the server decides how many results to return. |
| `pageToken` | `string` Optional. A tag returned by a previous list request that was truncated. Use this parameter to continue a previous list request. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "responsePolicies": [ { object (`https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/responsePolicies#ResponsePolicy`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `responsePolicies[]` | ``object (`https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/responsePolicies#ResponsePolicy`)`` The Response Policy resources. |
| `nextPageToken` | `string` This field indicates that more results are available beyond the last page displayed. To fetch the results, make another list request and use this value as your page token. This lets you retrieve the complete contents of a very large collection one page at a time. However, if the contents of the collection change between the first and last paginated list request, the set of all elements returned are an inconsistent view of the collection. You can't retrieve a consistent snapshot of a collection larger than the maximum page size. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/cloud-platform.read-only`
- `
  https://www.googleapis.com/auth/ndev.clouddns.readonly`
- `
  https://www.googleapis.com/auth/ndev.clouddns.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `project` resource:

- `dns.responsePolicies.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).